const h = (e) => e.charAt(0).toUpperCase() + e.slice(1);
function l(e) {
  const a = [];
  let i = " ";
  const s = [" ", "-", "_"];
  for (const t of s)
    if (e.indexOf(t) >= 0) {
      i = t;
      break;
    }
  const r = e.split(i);
  if (r.length > 1)
    for (let t = 0; t <= 1; t++)
      r[t].charAt(0) !== "" && a.push(r[t].charAt(0).toUpperCase());
  else
    a.push(r[0].charAt(0).toUpperCase());
  return a;
}
const p = (e, a, i) => {
  if (e.length > a) {
    let s = a;
    for (; e.charCodeAt(s) >= 56320 && e.charCodeAt(s) <= 57343 && s < e.length; )
      s++;
    const r = e.slice(0, Math.max(0, s)), t = e.slice(Math.max(0, s));
    return `${r}<span class="${i}">${t}</span>`;
  }
  return e;
};
export {
  h as capitalizeFirstLetter,
  l as getNameInitials,
  p as highlightedTextMaxLength
};
